Skip to main content
POST
Create a new personal access token

Authorizations

Authorization
string
header
required

Bearer token authentication. Normally a Firebase or Cloud JWT. A 'comfyui-' prefixed API key is ALSO accepted in this header: the prefix classifies the value as an API key and it is validated exactly as if it had been sent in X-API-Key. Accepted on the operations served by the comfyFirebase auth middleware (BE-9720, parity with ingest).

Path Parameters

publisherId
string
required

Body

application/json
createdAt
string<date-time>

[Output Only]The date and time the token was created.

description
string

Optional. A more detailed description of the token's intended use.

id
string<uuid>

Unique identifier for the GitCommit

name
string

Required. The name of the token. Can be a simple description.

token
string

[Output Only]. The personal access token. Only returned during creation.

Response

Token created successfully

token
string

The newly created personal access token.